Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Here is the error I get when trying to open my phpmyadmin directory:

phpMyAdmin - Error
The mysqli extension is missing. Please check your PHP configuration.

I have done the steps in the following tutorial:
http://chrisjean.com/2011/06/24/upgrade-php-5-1-or-5-2-to-5-3-on-centos/ (Only until the mcrypt section) (I wanted to upgrade php to 5.3 because phpmyadmin said I needed php 5.2+)

I've tried to install mysqli and go to the php.ini (changing mysqli.default_host = localhost) but I had no luck getting rid of this error message and starting to work with phpmyadmin.

Do you know any trick that could help me?

share|improve this question

1 Answer 1

up vote 5 down vote accepted

I just had the exact same problem with my installation of an Ubuntu server. It turned out all I had to do was
sudo apt-get install php5-mysqli

You could try the equivalent to centOS(and your situation) and see if it works
yum install php53-mysqli

EDIT:
Scratch the previous commands, just use these two:
yum install php-mysql and yum install php-mysqli

share|improve this answer
    
It says "No package php53-mysqli available. Nothing to do"... (the centos edition) the ubuntu one outputs that it does not recognize the agt get method. –  agam360 Aug 5 '12 at 22:42
    
Yeah, the ubuntu one wasn't supposed to work, it's for ubuntu after all. Try yum install php5-mysqli –  Constantine Loukas Aug 5 '12 at 23:04
    
I did try the centos one, and that is what it said. (no package..) –  agam360 Aug 5 '12 at 23:08
3  
I don't have a CentOS box available right now but I believe these should work yum install php-mysql yum install php-mysqli Enter both of them restart apache and you should be ready to go. –  Constantine Loukas Aug 5 '12 at 23:10
    
Thank you! the last comment was the solution (please edit the post and add it there so it will be easier for other guys who get the same problem). thanks again ;) –  agam360 Aug 5 '12 at 23:36

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.